Bug 20289 - installer doesn't detect common video and net cards
installer doesn't detect common video and net cards
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-11-03 12:00 EST by Larry Dalton
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-09 01:43:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Larry Dalton 2000-11-03 12:00:29 EST
I have installed version 7 on two machines. The installer didn't detect a 
video or net card in either, where version 5.2 did. The card was S3-
virgeDX 2-meg and net card was 3c509. The screens for both the video and 
net setups were never displayed. The second machine also had a 3c509 and a 
S3 virge dx 4-meg. Same results. I had to install version 5.2, then choose 
the "upgrade" options on version 7 to keep the video and net settings.
Larry Dalton, K9LD@msn.com
Comment 1 Michael Fulbright 2000-11-03 14:43:45 EST
Please attach the output from the lspci command on this system.
Comment 2 Michael Fulbright 2000-11-15 11:24:27 EST
And the output from the lspci -n command as well.
Comment 3 Larry Dalton 2000-11-15 12:02:35 EST
00:00.0 Host bridge: Intel Corporation 430VX - 82437VX TVX [Triton VX] (rev 02)
00:07.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] (rev 
00:07.1 IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II]
00:14.0 VGA compatible controller: S3 Inc. ViRGE/DX or /GX (rev 01)

lspci -n
00:00.0 Class 0600: 8086:7030 (rev 02)
00:07.0 Class 0601: 8086:7000 (rev 01)
00:07.1 Class 0101: 8086:7010
00:14.0 Class 0300: 5333:8a01 (rev 01)

Comment 4 Michael Fulbright 2000-12-27 12:19:51 EST
Assigning to developer to integrate PCI info.
Comment 5 Bill Nottingham 2000-12-27 12:35:07 EST
It's in the pcitable; sounds like an X problem.
Comment 6 Mike A. Harris 2001-03-01 16:58:10 EST
Use XFree86 3.3.6 servers for Virge cards.  The 4.0.2 driver is not fully
functional and is quite buggy.  This may be fixed in 4.1.0 perhaps.
Comment 7 Mike A. Harris 2001-03-06 12:36:06 EST
What is the output of "lspci -vn"
The -vn gives verbose info, which often indicates a different pci vendor
sub-id, especially with the virge cards.  It is highly likely this
is why it is having problems detecting.
Comment 8 Mike A. Harris 2001-03-17 15:19:45 EST
I need the output of "lspci -vn" for your card.  If it has a subid and is not
in the pcitable, it will not get correctly detected.

As for the network card, i do not believe it is possible to detect the
3c509 at boot because it is an ISA card.  That should be filed in a separate
bug report however as it does not concern XFree86.

One other question.  What type of install did you do?  Server?  Workstation?

I need the exact steps you chose in order to replicate this problem.
Comment 9 Mike A. Harris 2001-04-09 01:42:58 EDT
The S3 cards are weird ones.  They use PCI subid's which few video cards
use.  In order to have the card detect, I *must* have the output of the
"lspci -vn" command.  Without it I do not get the sub id's and cannot
proceed with this bug report.
Comment 10 Mike A. Harris 2001-05-10 14:01:59 EDT
Other people have reported that the S3 Savage driver works for them in
XFree86-4.0.3-14 minus a few known issues.  I haven't received the information
from you that I'm asking for so I'm assuming you got it to work, or no longer
care about the problem.  If you still have trouble, please upgrade to Rawhide

Note You need to log in before you can comment on or make changes to this bug.